import numpy
from flask import Flask
from flask import request
from flask_cors import CORS, cross_origin

import Ontology_scripts

app = Flask(__name__)
cors = CORS(app)

@app.route("/predict", methods =['POST'])
@cross_origin()
def predict():
    data = request.get_json()
    print(data['title'])
    print(data['content'])
    prediction = Ontology_scripts.analyzePost(data['title'], data['content'], data['reviews'])
    return {"pred": str(prediction)}

if __name__ == '__main__':
    app.run(debug=True, port=5002, host="0.0.0.0")
