import numpy
from flask import Flask
from flask import request
from flask_cors import CORS
from sklearn import preprocessing
import pandas as pd

le = preprocessing.LabelEncoder()

dataDf = pd.read_csv("weight_data_with_headers.csv")
le.fit(dataDf['breed'])
dataDf['breed'] = le.transform(dataDf['breed'])

from sklearn.pipeline import make_pipeline
from sklearn.preprocessing import StandardScaler
from sklearn.model_selection import train_test_split

X = dataDf[['breed', 'height', 'weight']]
y = dataDf['outcome']
X_train, X_test, y_train, y_test = train_test_split(X, y, test_size=0.3, random_state=0)

from sklearn.svm import SVC
clf = make_pipeline(StandardScaler(), SVC(gamma='auto'))
clf.fit(X, y)

app = Flask(__name__)
cors = CORS(app)

@app.route("/predict", methods =['POST'])
def predict():
    data = numpy.array(request.get_json())
    print(data)
    prediction = clf.predict(data)
    print(prediction)
    return {"pred": str(prediction[0])}

if __name__ == '__main__':
    app.run(debug=True, port=5003, host="0.0.0.0")
