import numpy
import tensorflow as tf
from flask import Flask
from flask import request
from flask_cors import CORS
from tensorflow.keras.models import load_model
import keras

import predict_disease

app = Flask(__name__)
cors = CORS(app)

@app.route("/predict", methods =['POST'])
def predict():
    data = numpy.array(request.get_json())
    print(data)
    prediction = predict_disease.predict(data)
    return {"pred": str(numpy.argmax(prediction))}

if __name__ == '__main__':
    app.run(debug=True, port=5001, host="0.0.0.0")
