disease_labels = ["Canine Scabies","Canine demodicosis","Fungal dermatitis","Allergic dermatitis","Ehrlichiosis","Canine babesiosis","Immune Mediated Haemolytic Anaemia","Acquired Thrombocytopenia","Hypoglycemia","Hypocalcemia","Canine parvo virus infection","Canine corona virus infection","Sphingomyelinase","Rabies","Bacterial prostatitis","Balanoposthitis","Canine brucellosis","Canine Cirrhosis","Bang's Disease","Candidiasis","Canine distemper","Canine influenza","Canine lymphoma","Lyme disease","Kidney disease","Kennel Cough","Diarrhoea","Gastritis","Gastroenteritis","Hepatitis","Giardia infection","Canine herpes virus","Galucoma","Gastric ulcer","Hepatic Encephalopathy","Hepatic lipidosis","Pneumonia","Diabetes","Ear infections","Heartworm","Anemia","Canine Leptospirosis","HEATSTROKE","Canine Hip Dysplasia","Canine Elbow Dysplasia"]
print(len(disease_labels))

import numpy
import tensorflow as tf
from tensorflow.keras.models import load_model

model = tf.keras.models.Sequential()
model = tf.keras.models.Sequential()
model.add(tf.keras.layers.Flatten())
model.add(tf.keras.layers.Dense(256, activation=tf.nn.relu))
model.add(tf.keras.layers.Dense(128, activation=tf.nn.relu))
model.add(tf.keras.layers.Dense(11, activation=tf.nn.softmax))

model.compile(optimizer='adam',
              loss='sparse_categorical_crossentropy',
              metrics=['accuracy'])
model = load_model('model.h5')

def predict(data):
    return model.predict(numpy.array(data))

# Test prediction
print(predict([[1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0]]))
print(numpy.argmax(predict([[1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0]])))
print(disease_labels[numpy.argmax(predict([[1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0]]))])
